Subject: Re: bug#7284: [PATCH] `find-change-log' fails in *derived* Diff modes

From: Stefan Monnier <[email-masked]>
Date: Tue, 26 Oct 2010 17:35:16 -0400

> -  (with-current-buffer (let ((buff (if (eq major-mode 'diff-mode)
> +  (with-current-buffer (let ((buff (if (derived-mode-p 'diff-mode)

Thanks.

> Perhaps, more of the cases of Emacs's Lisp that have (eq major-mode ...)
> should be converted to (derived-mode-p ...).

Indeed.

> Obviously, they'll need to be studied on a case-by-case basis since
> there might be cases when only the exact major-mode is intended to
> be matched.

These are exceedingly rare.  At least, I can't remember las time I came
across one of those.

        Stefan